Bug 872544 - The Bash-completion file is missing for the nova command
The Bash-completion file is missing for the nova command
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-novaclient (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-02 07:50 EDT by Alvaro Lopez Ortega
Modified: 2013-03-24 14:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 01:52:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix proposal (1.10 KB, patch)
2012-11-02 10:19 EDT, Alvaro Lopez Ortega
no flags Details | Diff

  None (edit)
Description Alvaro Lopez Ortega 2012-11-02 07:50:05 EDT
Description of problem:
Even though a bash_completion file is provided by the upstream project, it is missing in the Fedora packages.

Version-Release number of selected component (if applicable):
python-novaclient-2.9.0-1.fc18.noarch

Steps to Reproduce:
1. Open a terminal running bash
2. Type "nova add"
3. Try to complete the parameter by pressing the [Tab] key 
  
Actual results:
Nothing happens

Expected results:
To get the three "add-*" parameters available in Nova:
add-fixed-ip     add-floating-ip  add-secgroup

Additional info:
The file is available in the upstream project:
https://github.com/openstack/python-novaclient/tree/master/tools
Comment 1 Alvaro Lopez Ortega 2012-11-02 10:19:31 EDT
Created attachment 637101 [details]
Fix proposal

Patch to include the bash_completion file in the package.
Comment 2 Fedora Update System 2013-01-30 13:51:29 EST
python-novaclient-2.10.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-novaclient-2.10.0-2.fc18
Comment 3 Fedora Update System 2013-02-01 11:58:17 EST
Package python-novaclient-2.10.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-novaclient-2.10.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1737/python-novaclient-2.10.0-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-02-18 01:52:14 EST
python-novaclient-2.10.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-03-05 05:34:32 EST
python-novaclient-2.10.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-novaclient-2.10.0-2.el6
Comment 6 Fedora Update System 2013-03-24 14:04:39 EDT
python-novaclient-2.10.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.